<!DOCTYPE html>
<html lang="nl">

  <head>
    <!--
    Superworstenbroodje - d'n cijferberekenaar
    Copyright (C) 2024 Mr. coreboot

    Dit programma wordt verspreid onder de voorwaarden van de GNU Affero General Public License
    zoals gepubliceerd door de Free Software Foundation, versie 3 van de licentie.

    Dit programma wordt verspreid in de hoop dat het nuttig zal zijn,
    maar ZONDER ENIGE GARANTIE; zonder zelfs de impliciete garantie van
    VERKOOPBAARHEID of GESCHIKTHEID VOOR EEN BEPAALD DOEL. Zie de
    GNU Affero General Public License voor meer details.

    Je zou een kopie van de GNU Affero General Public License moeten hebben ontvangen
    samen met dit programma. Indien niet, zie <https://www.gnu.org/licenses/>.

    Alle content van deze website (zoals tekst, afbeeldingen en multimedia)
    valt onder de Creative Commons Naamsvermelding-GelijkDelen 4.0 Internationaal (CC BY-SA 4.0).
    Zie: https://creativecommons.org/licenses/by-sa/4.0/
    -->
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Hier kende gij d'n cijfers voor oe toetsen berekenen!">
    <title>Superworstenbroodje</title>
    <link rel="apple-touch-icon" sizes="180x180" href="resources/favicons/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="48x48" href="resources/favicons/favicon-48x48.png">
    <link rel="icon" type="image/svg+xml" href="/resources/favicons/favicon.svg">
    <link rel="manifest" href="/resources/favicons/site.webmanifest">
    <link rel="shortcut icon" href="/resources/favicons/favicon.ico">
    <link rel="stylesheet" href="/resources/css/bootstrap.css">
    <link rel="stylesheet" href="/resources/css/worstenbroodje.css">
    <meta name="apple-mobile-web-app-title" content="Superworstenbroodje">
    <script src="/resources/js/bootstrap.js"></script>
  </head>

  <body>
    <?php
     if (session_status() === PHP_SESSION_NONE) {
      ini_set('session.use_cookies', 0);
      ini_set('session.use_only_cookies', 0);
      ini_set('session.use_trans_sid', 1);
      session_start();
     }
     $csrf_token = bin2hex(random_bytes(32));
     $_SESSION['csrf_token'] = $csrf_token;
    ?>
    <div class="container mt-4 worstenbrood-container">
     <h1><strong>Voor de knoeperts die nie kunne rekene nie</strong></h1>
     <br>
     <form action="worstenbroodje.php" method="POST">
      <input type="hidden" name="csrf_token" value="<?php echo $csrf_token; ?>">
      <div class="row mb-3">
       <div class="col-sm-6">
        <label for="max_punten" class="form-label">Punten:</label>
        <input type="number" class="form-control" id="max_punten" name="max_punten" step="0.1" value="50" min="1" max="1000" required>
       </div>
       <div class="col-sm-6">
        <label for="incrementatie" class="form-label">Incrementatie:</label>
        <select class="form-select" id="incrementatie" name="incrementatie" required>
         <option disabled label="Kies dan jonguh"></option>
         <option value="1.0" selected>1.0</option>
         <option value="0.5">0.5</option>
         <option value="0.1">0.1</option>
        </select>
       </div>
      </div>
      <div class="row mb-3">
       <div class="col-sm-6">
        <label for="norm_percentage" class="form-label">Normering (non-lineaire cesuur):</label>
        <input type="number" class="form-control" id="norm_percentage" name="norm_percentage" step="1" value="75" min="0" max="100" required>
       </div>
       <div class="col-sm-6">
        <label for="voldoende_cijfer" class="form-label">Voldoende:</label>
        <select class="form-select" id="voldoende_cijfer" name="voldoende_cijfer" required>
         <option disabled label="Kies dan jonguh"></option>
         <option value="6.0" selected>6.0</option>
         <option value="5.5">5.5</option>
        </select>
       </div>
      </div>
      <div class="row mb-3">
       <div class="col-sm-6">
        <label for="decimalen" class="form-label">Decimalen:</label>
        <select class="form-select" id="decimalen" name="decimalen" required>
         <option disabled label="Kies dan jonguh"></option>
         <option value="1" selected>1</option>
         <option value="2">2</option>
         <option value="3">3</option>
        </select>
       </div>
       <div class="col-sm-6">
        <label for="schijndel" class="form-label">Komde gij uit Schijndel of wa?</label>
        <select class="form-select" id="schijndel" name="schijndel" required>
         <option disabled label="Verrekte koekwaus"></option>
         <option selected="selected" value="false">Ja mooi nie!</option>
         <option value="true">Ja maar da was al!</option>
        </select>
       </div>
      </div>
      <div class="mb-4">
       <button type="submit" class="btn btn-success" data-bs-toggle="tooltip" title="As ge hier op klikt, geefde toe da D66 gewoon un klotepartij is.">
        Bereken d'n cijfers dan jonguh!
       </button>
      </div>
     </form>
     <div class="text-center mb-4">
      <img class="img-fluid" style="width: 60%" src="/resources/images/rekenworst.webp" alt="Lekker hè?" title="Those who can't do, teach.">
     </div>
     <div class="footer-text">
      <a href="/hoeheddegedagedaan.html">Hoe doede ge da?</a> | <a href="/privacy.html">Privacybeleid</a>
     </div>
    </div>
  </body>

</html>
